Skip to main content
POST
/
webhooks
/
{webhookId}
/
notifications
/
resend_by_resource
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.webhooksV2.resendNotificationsByResourceId(webhooksV2ApiResendNotificationsByResourceIdRequest);
{
  "message": "<string>",
  "code": 123
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

webhookId
string
required

The ID of the webhook

Body

application/json
resourceId
string<uuid>
required

The resource id to resend notifications for

Example:

"44fcead0-7053-4831-a53a-df7fb90d440f"

excludeStatuses
enum<string>[]

(optional) List of notification statuses to exclude from the resend operation - Empty array means all statuses will be included - If you want to exclude some statuses, you can use the following example: [ IN_PROGRESS, FAILED ] - Default if missing, means all statuses other than "COMPLETED" will be included

The status of the Notification

Available options:
COMPLETED,
FAILED,
IN_PROGRESS,
ON_HOLD
Example:
["IN_PROGRESS", "FAILED"]

Response

Resend notifications by resource request was accepted and is being processed